﻿@page "{handler?}"
@model BeamAndGo.Member.Admin.Web.Pages.Admin.CreateAdminModel
@{
    ViewData["Title"] = "Create Admin";
    if (Model.IsXHR) Layout = null;
    else Layout = "_Layout";

}

<div class="uk-margin-small">
    <h3 class="uk-text">Search Member</h3>
    <i>Find a person by email or phone number.</i>
    <div class="uk-margin-small">
        <form class="uk-search uk-search-default uk-width-1-1" asp-page-handler="search" asp-antiforgery="true" method="post" data-ajax="true" data-ajax-method="post" data-ajax-success="searchSuccess" data-ajax-failure="searchFailed">
            <button class="uk-search-icon-flip" uk-search-icon type="submit"></button>
            <input class="uk-search-input" asp-for="SearchKeyword" type="search" placeholder="email or phone number">
        </form>
    </div>
</div>

<!-- This is the modal -->
<div id="modal-search-result" uk-modal>
    <div class="uk-modal-dialog uk-margin-auto-vertical">
        <div class="uk-modal-body">
            <div class="uk-card uk-card-default uk-card-small uk-card-body">
                <form asp-page-handler="add" method="post" asp-antiforgery="true">
                    <div class="uk-margin-small uk-grid-small" uk-grid>
                        <div class="uk-width-1-3 uk-text-center">
                            <div class="uk-margin-small">
                                <span class="uk-icon" uk-icon="icon: user; ratio: 5.0"></span>
                            </div>
                            <div class="uk-margin-small">
                                <input id="search-member-sid" asp-for="AdminMemberSid" type="hidden">
                                <label id="search-member-name" class="uk-text-medium" />
                            </div>
                        </div>
                        <div class="uk-width-2-3">
                            <div class="uk-margin-small">
                                <label class="uk-form-label">Access Level</label>
                                <div>
                                    <select required class="uk-select uk-width-1-1" id="accessLevel" asp-for="AccessLevel" asp-items="Html.GetEnumSelectList<MemberAdminAccessLevel>()">
                                        <option selected value="" disabled>Select Access Level</option>
                                    </select>
                                </div>
                            </div>
                            <div class="uk-margin-small">
                                <input class="set-expiryDate-create uk-checkbox" type="checkbox" checked="checked" onchange="valueCreateChanged()">
                                <label class="uk-form-label">Expiration Date</label>
                            </div>
                            <div class="uk-margin-small">
                                <input asp-for="@Model.ExpiryDate" class="uk-input" id="CreateExpirydatePicker" type="date" value="@Model.ExpiryDate" min="@Model.MinExpiryDate" placeholder="YYYY-MM-DD" />
                            </div>
                        </div>
                    </div>
                    <div class="uk-margin-small uk-text-right">
                        <button class="uk-button uk-button-primary uk-width-1-4@s" type="submit">Add</button>
                        <button class="uk-button uk-button-default uk-width-1-4@s" type="button" uk-toggle="target: #bng-modal">Cancel</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<!-- End of modal -->
<!-- This is the modal -->
<div id="modal-search-noresult" uk-modal>
    <div class="uk-modal-dialog uk-margin-auto-vertical">
        <div class="uk-modal-body">
            <p class="uk-text-center"><i>No Member were found.</i></p>
            <div class="uk-margin-small uk-text-center">
                <div class="uk-margin-small uk-text-center">
                    <button class="uk-button uk-button-primary" type="button" uk-toggle="target: #bng-modal">Search Again</button>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- End of modal -->

<script>
    // Search
    searchSuccess = (member) => {
        $('#search-member-sid').val(member.sid);
        $('#search-member-name').text(member.firstName + " " + member.lastName);
        UIkit.modal('#modal-search-result').show();
        //reloadIfNotXHR();
    };
    searchFailed = (xhr) => {
        UIkit.modal('#modal-search-noresult').show();
    };
    function valueCreateChanged() {
        if ($('.set-expiryDate-create').is(":checked"))
            $("#CreateExpirydatePicker").show();
        else
            $("#CreateExpirydatePicker").hide();
    }
</script>